# Generated by Django 2.0.7 on 2018-07-27 18:04

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('fobi', '0015_auto_20180130_0013'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Catalogue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Category name')),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='app.Category', verbose_name='Parent category')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Dealer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='dealer name')),
            ],
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('catalogue', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Catalogue', verbose_name='catalogue')),
                ('dealer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Dealer', verbose_name='dealer')),
            ],
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='The product name/title.', max_length=120, verbose_name='Product name')),
                ('description', models.TextField(blank=True, help_text='Product description and some details.', null=True, verbose_name='Product description')),
                ('categories', models.ManyToManyField(help_text='Please note that *at least* one of the selected categories should be a leaf node on categories tree. i.e. It should not have any child categories.', to='app.Category', verbose_name='Categories')),
                ('product_details_form', models.ForeignKey(blank=True, help_text='Use the link in the administration panel home page to define new product details form.', null=True, on_delete=django.db.models.deletion.SET_NULL, to='fobi.FormEntry', verbose_name='Properties form')),
            ],
        ),
        migrations.CreateModel(
            name='Shop',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('shop_name', models.CharField(max_length=100, verbose_name='Shop name')),
                ('address', models.CharField(max_length=100, verbose_name='address')),
                ('dealer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shops', to='app.Dealer', verbose_name='dealer')),
            ],
        ),
        migrations.AddField(
            model_name='item',
            name='product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Product', verbose_name='product'),
        ),
        migrations.AddField(
            model_name='dealer',
            name='products',
            field=models.ManyToManyField(blank=True, to='app.Product', verbose_name='products'),
        ),
        migrations.AddField(
            model_name='catalogue',
            name='items',
            field=models.ManyToManyField(through='app.Item', to='app.Product', verbose_name='item'),
        ),
        migrations.AddField(
            model_name='catalogue',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
    ]
